[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONArray.Types

JSON types of elements in the array

## Declaration

Source position: fpjson.pp line 580

`public property TJSONArray.Types[Index: Integer] : TJSONtype read GetTypes;`

## Description

Types gives direct access to the TJSONData.JSONType result of the elements in the array. Accessing it is equivalent to accessing

    Items[Index].JSONType

## See also

TJSONData.JSONType |  | The native JSON data type represented by this object
TJSONData.Items |  | Indexed access to sub-items